Bug 128541 - allow service names in "Other ports" for firewall configuration
allow service names in "Other ports" for firewall configuration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-24 16:30 EDT by John Reiser
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 11:44:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2004-07-24 16:30:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
The names of well-known services (such as "nfs", "ipp", etc.) should
be allowed in the "Other ports" list.  Having to enter numerical port
numbers and protocol names is cumbersome and error-prone.  Also, it is
a regression from RedHat 9, where such names could be used in the
analogous part of an anaconda install.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.4.1-2

How reproducible:
Always

Steps to Reproduce:
1. RedHat > System Settings > Security Level
2. Enter "nfs" in the Other ports list
3. Click OK.
    

Actual Results:  Invalid port given: nfs.  The proper format is
'port:protocol, port:protocol'.  For example, '1234:udp, 3456:tcp'

Expected Results:  The ports and protocols necessary for services that
are well-known by name should be enabled in the firewall configuration.


Additional info:

Similar to enhancement request bug #124161, but I count this as a bug
because it is a regression from previous Features and Usability.
Comment 1 Paul Nasrat 2004-07-28 04:27:50 EDT
The following syntax works:

nfs:udp

Looking at how anaconda historically handled this was to add :tcp to
services without a protocol specified.  
Comment 2 Chris Lumens 2005-03-29 11:44:02 EST
Changed the error message to say that service names are fine to use.  Also made
sure to display service names instead of port names in the other ports field.

Note You need to log in before you can comment on or make changes to this bug.